Subject: Re: [stir] Second WGLC: draft-ietf-stir-passport-divert-05

From: Sean Turner <[email-masked]>
Date: Mon, 15 Apr 2019 21:35:51 -0400

I just had nits and Russ caught most of them.  Here are mine:

0) Example in s3 and s5 should use .cer not .pkx to algin with RFC8225->RFC2985.

1) s3: I think this:

  PASSporTs of type "div-o" (see Section 5)
  MUST contain an "opt”.

Should go in s5 and not in s3 since s3 is just about “div”?

2) s7 - I know UAC is in RFC 8224, but I am not sure that most will know what it is so maybe spell this one out: User Agent Client (UAC). And, should “user agent” in the penultimate para be UAC?

3) s8 - Where is “hi” defined?

4) s10 - There are two sets of registrations so maybe add a new heading level:

10. IANA Considerations

  This documents includes registration for JSON Web Token Claims (see Section 10.1) and PASSporT Type Registrations (see Section 10.2).

10.1 JSON Web Token Claims

   This specification requests that the IANA add two new claims to the
   JSON Web Token Claims registry as defined in [RFC7519].

renumber 10.1. to 10.1.1
renumber 10.2. to 10.1.2

5)  Appendix A has an example key pair and to stop people from being silly and using it anywhere in a production system we should warn them not to:

   WARNING: Do not use the key pair in production systems.

or something like that.

spt

> On Mar 31, 2019, at 16:01, Russ Housley <[email-masked]> wrote:
> 
> This is the second Working Group Last Call for draft-ietf-stir-passport-divert, which is now at revision -05.
> 
> Please send your comments to the list or the chairs by Friday, 19 April 2019. (This leaves a little over three weeks since many have travel plans after the IETF week).
> 
> Robert and Russ
> _______________________________________________
> stir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/stir

---

From: Robert Sparks <[email-masked]>
Date: Tue, 16 Apr 2019 09:47:59 -0500

Hi Jon -

I haven't been able to validate that the signatures in the examples 
(with the given keys) -

Could you double-check that they're right? (And if so, remind me of 
simple ways to manually validate the signature).

RjS

---

From: "Peterson, Jon" <[email-masked]>
Date: Tue, 16 Apr 2019 16:39:16 +0000

Thanks Sean, these are pretty straightforward, I'll get them fixed.

Jon Peterson
Neustar, Inc.

On 4/15/19, 6:36 PM, "stir on behalf of Sean Turner" <[email-masked] on behalf of [email-masked]> wrote:

    
    1) s3: I think this:

    

    
    10. IANA Considerations

    
    
    renumber 10.1. to 10.1.1
    renumber 10.2. to 10.1.2

    
    or something like that.
    
    spt

---

From: "Peterson, Jon" <[email-masked]>
Date: Wed, 17 Apr 2019 23:28:34 +0000

Yeah, doing examples like this always seems like a good idea and then they don't actually work. I'll see if I can get something in there that is actually reproducible. Probably showing a bit more of the work is necessary too just so implementers can debug as they work through examples.

Jon Peterson
Neustar, Inc.

On 4/16/19, 8:55 AM, "stir on behalf of Robert Sparks" <[email-masked] on behalf of [email-masked]> wrote:

    Hi Jon -

    
    RjS